View Issue Details

Category
整備班:YAYA
SeverityfeatureReproducibilityN/A 
Status closed 
Summary0000177: make Shiori work normally when dic file wrong
Description

If we design a mechanism to make Shiori work normally when DIC file is wrong, ghost can also respond to this error?
I know this function may be very difficult to implement, but it will be very helpful for ghost with its own debug function
We can save the DIC content that did not make an error the last time, and load the last correct build when loading error occurs, and then call a function with error information, file name and number of lines as parameters

Relationships

has duplicate 0000175 closedponapalt If the dic file wrong, return the wrong content through ErrorDescription & ErrorLevel in response 

Activities

guest

2021-06-17 09:11

reporter   ~0000397

I'm not the original poster, but I have some concerns about this. If a ghost appears to work despite an error, it may cause confusion.
Showing the sort of error messages Tama gives in the error log would be excellent and greatly improve workflow, but if it's to be handled with an event in the ghost, it needs to be set up carefully so that errors can't be misunderstood and ignored. SERIKO errors are often ignored because they don't cause the shell to stop functioning.

guest

2021-06-17 17:24

reporter   ~0000401

Yes, if it can work normally under the error condition, it may cause the error to be ignored
Therefore, ghost's error handling event should ensure that users can be informed, which is a problem that DIC authors need to consider
What Yaya needs to do is to provide this function and its switch (in yaya.txt or somewhere else), and when DIC does not have this event, such as http://ssp.shillest.net/bts/view.php?id=175 That makes mistakes more intuitive.

ponapalt

2021-06-25 11:59

administrator   ~0000412

Please try ver. Tc555-1
https://github.com/ponapalt/yaya-shiori/releases/tag/Tc555-1

  • Use emergency config file yaya_emerg.txt for minimal operation : syntax is same as yaya.txt
  • Use GETERRORLOG() to get last loading error

Issue History

Date Modified Username Field Change
2021-06-16 21:14 guest New Issue
2021-06-17 04:50 ponapalt Relationship added has duplicate 0000175
2021-06-17 04:51 ponapalt Assigned To => ponapalt
2021-06-17 04:51 ponapalt Status new => assigned
2021-06-17 09:11 guest Note Added: 0000397
2021-06-17 17:24 guest Note Added: 0000401
2021-06-25 11:59 ponapalt Status assigned => closed
2021-06-25 11:59 ponapalt Resolution open => fixed
2021-06-25 11:59 ponapalt Note Added: 0000412